Consolidate transactions (roll up)
curl --request POST \
--url https://api.breezing.io/v1/transactions/roll-up \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
123
],
"walletId": 1,
"groupByContact": false
}
'import requests
url = "https://api.breezing.io/v1/transactions/roll-up"
payload = {
"ids": [123],
"walletId": 1,
"groupByContact": False
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({ids: [123], walletId: 1, groupByContact: false})
};
fetch('https://api.breezing.io/v1/transactions/roll-up', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/transactions/roll-up",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
123
],
'walletId' => 1,
'groupByContact' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/transactions/roll-up"
payload := strings.NewReader("{\n \"ids\": [\n 123\n ],\n \"walletId\": 1,\n \"groupByContact\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/transactions/roll-up")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n 123\n ],\n \"walletId\": 1,\n \"groupByContact\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/transactions/roll-up")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n 123\n ],\n \"walletId\": 1,\n \"groupByContact\": false\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"processed": 123,
"dedupedFrom": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Transactions
Consolidate Transactions API
Consolidate Breezing transactions into daily or monthly summary rows with the roll-up API, merging amounts, fees, and fiat values per token.
POST
/
transactions
/
roll-up
Consolidate transactions (roll up)
curl --request POST \
--url https://api.breezing.io/v1/transactions/roll-up \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
123
],
"walletId": 1,
"groupByContact": false
}
'import requests
url = "https://api.breezing.io/v1/transactions/roll-up"
payload = {
"ids": [123],
"walletId": 1,
"groupByContact": False
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({ids: [123], walletId: 1, groupByContact: false})
};
fetch('https://api.breezing.io/v1/transactions/roll-up', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/transactions/roll-up",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
123
],
'walletId' => 1,
'groupByContact' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/transactions/roll-up"
payload := strings.NewReader("{\n \"ids\": [\n 123\n ],\n \"walletId\": 1,\n \"groupByContact\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/transactions/roll-up")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n 123\n ],\n \"walletId\": 1,\n \"groupByContact\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/transactions/roll-up")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n 123\n ],\n \"walletId\": 1,\n \"groupByContact\": false\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"processed": 123,
"dedupedFrom": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Query Parameters
Body
application/json
Last modified on June 10, 2026